Index: /extensions/Flash_Gallery/CHANGELOG
===================================================================
--- /extensions/Flash_Gallery/CHANGELOG	(revision 3663)
+++ /extensions/Flash_Gallery/CHANGELOG	(revision 3663)
@@ -0,0 +1,11 @@
+ChangeLog for Flash_Gallery plugin for Piwigo
+
+
+Version 0.0.x
+-------------
+0.0.2 -->   Add modules BananAlbum and Prometeus (prometeus is javascript module)
+            Add buttons on admin to modify parameters from module management
+            Add comment options (%ID) for parameters
+            Add English translation (only for the core, not for the modules)
+
+0.0.1 -->   Inital version with some modules
Index: /extensions/Flash_Gallery/admin/add_module.php
===================================================================
--- /extensions/Flash_Gallery/admin/add_module.php	(revision 3662)
+++ /extensions/Flash_Gallery/admin/add_module.php	(revision 3663)
@@ -41,4 +41,6 @@
 		WHERE id = ' . $_GET['edit'] . ';');
 
+    // Force le submit pour sauvegarder les données éventuellement modifiées lors du RAZ des paramètres. Pas de redirection dans ce cas
+    $_POST['submit'] = 'no_redirect';
 }
 
@@ -57,5 +59,4 @@
     else
     {
-// id, pos, name, descr, type, datas, users, groups, show_title, on_home, on_cats, cats, recurs_cats, replace_thumb, replace_cats, height, transparent, id_line	
       $module_name = $_POST['module_name'];
       $desc = (!empty($_POST['module_desc']) ? '"' . $_POST['module_desc'] . '"' : 'NULL');
@@ -78,6 +79,6 @@
 	
 	  $height = (!empty($_POST['flashgal_height']) ? '"'.$_POST['flashgal_height'].'"' : "NULL");
+      $maxcomment = (!empty($_POST['flashgal_max_comment']) ? '"'.$_POST['flashgal_max_comment'].'"' : "0");;
 	  
-//	  $sav_datas = (!empty($datas) ? '"' . addslashes(serialize($datas)) . '"' : 'NULL');
 	  $sav_ext_datas = (!empty($ext_datas) ? '"' . addslashes(serialize($ext_datas)) . '"' : 'NULL');
 	
@@ -96,5 +97,4 @@
 	if (isset($_GET['edit']))
       {		
-// // id, pos, name, descr, type, datas, users, groups, show_title, on_home, on_cats, cats, recurs_cats, replace_thumb, replace_cats, height, transparent	
 	  
         pwg_query('
@@ -118,5 +118,6 @@
 				transparent=' . $transparent .',
 				fullscreen=' . $fullscreen .',
-				bgcolor="' . $bgcolor .'"
+				bgcolor="' . $bgcolor .'",
+                maxcomment=' . $maxcomment . '
 
 			WHERE id = ' . $_GET['edit'] . ';');
@@ -132,5 +133,5 @@
 		
         $query = '
-INSERT INTO ' . FLASHGAL_TABLE . ' ( id, pos, name, descr, type, datas, ext_datas, users, groups, show_title, on_home, on_home_global, on_cats, cats, recurs_cats, replace_thumb, replace_cats, height, transparent, fullscreen, bgcolor)
+INSERT INTO ' . FLASHGAL_TABLE . ' ( id, pos, name, descr, type, datas, ext_datas, users, groups, show_title, on_home, on_home_global, on_cats, cats, recurs_cats, replace_thumb, replace_cats, height, transparent, fullscreen, bgcolor, maxcomment)
 VALUES (' . $next_element_id . ' ,
 	' . $pos . ',
@@ -153,5 +154,6 @@
 	' . $transparent .',
 	' . $fullscreen .',
-	"' . $bgcolor .'"
+	"' . $bgcolor .'", 
+    ' . $maxcomment . '
   );';
   
@@ -161,5 +163,6 @@
       }
 
-      redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
+      if ($_POST['submit'] != 'no_redirect')
+        redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
     }
   }
@@ -194,5 +197,6 @@
     'replace_thumb_CHECKED' => ($module['replace_thumb'] == 'true' ? 'checked="checked"' : ''),
     'replace_cats_CHECKED' => ($module['replace_cats'] == 'true' ? 'checked="checked"' : ''),
-	'ENABLERESTORE'	=> true
+	'ENABLERESTORE'	=> true,
+    'FLASHGAL_MAX_COMMENT'  => (isset($module['maxcomment']) ? $module['maxcomment'] : '0')
 	
 	));
@@ -218,6 +222,6 @@
     'FLASHGAL_FULLSCREEN' =>  'checked="checked"',
 	'FLASHGAL_BGCOLOR' => '#FFFFFF',	
-	'ENABLERESTORE'	=> false
-	
+	'ENABLERESTORE'	=> false,
+	'FLASHGAL_MAX_COMMENT'  => '0'
 	
 	));
@@ -239,7 +243,6 @@
 }
 
-///
-// tiico : ajouter la récupération des données par défaut (présentes dans le fichier module.inc.php)
-///
+
+// Recuperation des données pour les informations a parametrer dans le flux
 	foreach ($module_data['datas'] as $key => $value)
 	{
@@ -247,5 +250,4 @@
 		{
 			$template->append( 'FlashGal_Param', array(
-//					$key			=> true,
 					'name' 	=> $key,						// nom du parametre
 					'lib'		=> l10n($key),		// libelle du parametre
@@ -267,6 +269,4 @@
 	    true);
 
-//    $datas = array($key => $datas[$key]);
-	
 
 // Configuration supplémentaire du module (dans le cas ou il y a d'autres parametres)
Index: /extensions/Flash_Gallery/admin/admin.php
===================================================================
--- /extensions/Flash_Gallery/admin/admin.php	(revision 3662)
+++ /extensions/Flash_Gallery/admin/admin.php	(revision 3663)
@@ -51,4 +51,47 @@
 }
 
+//cyclage sur le parametre on_home
+if (isset($_GET['id']) and isset($_GET['home']) and !is_adviser())
+{
+    $home = $_GET['home'];
+    $global = isset($_GET['global']) ? $_GET['global'] : 'selective';
+    // ordre : homeOFF -> HomeON -> HomeONGlobal
+    if ($home == 'true' and $global == 'selective')
+        $global = 'global';
+    elseif ($home == 'true' and $global == 'global')
+        $home = 'false';
+    else
+    {
+        $home = 'true';
+        $global = 'selective';
+    }
+
+	pwg_query( 'UPDATE ' . FLASHGAL_TABLE . '
+                SET on_home="' . $home. '", on_home_global="' . $global . '"   
+                WHERE id=' . $_GET['id'] . ' LIMIT 1');
+
+  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
+}
+//cyclage sur le parametre on_cats
+if (isset($_GET['id']) and isset($_GET['cats']) and !is_adviser())
+{
+    // ordre : catsOFF -> catsON 
+	pwg_query( 'UPDATE ' . FLASHGAL_TABLE . '
+                SET on_cats="' . ($_GET['cats'] == 'true' ? 'false' : 'true'). '" 
+                WHERE id=' . $_GET['id'] . ' LIMIT 1');
+
+  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
+}
+
+if (isset($_GET['id']) and isset($_GET['recurs']) and !is_adviser())
+{
+    // ordre : recursOFF -> recursON 
+	pwg_query( 'UPDATE ' . FLASHGAL_TABLE . '
+                SET recurs_cats="' . ($_GET['recurs'] == 'true' ? 'false' : 'true'). '" 
+                WHERE id=' . $_GET['id'] . ' LIMIT 1');
+
+  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
+}
+
 //Récupération des modules disponibles
 $modules = get_flashgal_modules();
Index: /extensions/Flash_Gallery/admin/manage.php
===================================================================
--- /extensions/Flash_Gallery/admin/manage.php	(revision 3662)
+++ /extensions/Flash_Gallery/admin/manage.php	(revision 3663)
@@ -53,6 +53,9 @@
 	'ICON_INFO'			=> FLASHGAL_PATH . 'img/infos.png',
 	'SCREEN'			=> FLASHGAL_PATH . '/modules/'. $module['type'].'/screenshot.jpg',
-    'U_EDIT' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . FLASHGAL_DIR . '%2Fadmin%2Fadd_module.php&amp;type=' . $module['type'] . '&amp;edit=' . $module['id'],
-    'U_DELETE' => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php&amp;del=' . $module['id'] : '',
+    'U_EDIT'            => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . FLASHGAL_DIR . '%2Fadmin%2Fadd_module.php&amp;type=' . $module['type'] . '&amp;edit=' . $module['id'],
+    'U_DELETE'          => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php&amp;del=' . $module['id'] : '',
+    'U_HOME'            => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php&amp;id=' . $module['id'] .'&amp;home=' . $module['on_home'] . '&amp;global=' .$module['on_home_global'],
+    'U_CATS'            => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php&amp;id=' . $module['id'] .'&amp;cats=' . $module['on_cats'],
+    'U_RECURS'          => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php&amp;id=' . $module['id'] .'&amp;recurs=' . $module['recurs_cats'],
   ));
 }
Index: /extensions/Flash_Gallery/admin/template/add_module.tpl
===================================================================
--- /extensions/Flash_Gallery/admin/template/add_module.tpl	(revision 3662)
+++ /extensions/Flash_Gallery/admin/template/add_module.tpl	(revision 3663)
@@ -75,5 +75,5 @@
 			<td colspan="3"><input type="checkbox" name="show_title" value="1" {$show_title_CHECKED}>&nbsp;&nbsp;{'flashgal_show_title'|@translate}</td>
 		</tr>
-		<tr><td><br></td></tr>
+		<tr><td colspan="3">&nbsp;</td></tr>
 
 		<tr>
@@ -81,20 +81,36 @@
 			<td colspan="2"><input type="text" size="3" maxlength="3" value="{$FLASHGAL_HEIGHT}" name="flashgal_height">&nbsp;px</td>
 		</tr>
+		<tr><td colspan="3">&nbsp;</td></tr>
+		<tr>
+			<td> &nbsp; </td>
+		    <td colspan="2">
+				 - <input type="checkbox" name="flashgal_transparent" {$FLASHGAL_TRANSPARENT}/>&nbsp; {'flashgal_transparent'|@translate}
+			</td>
+		</tr>
 		<tr>
 			<td> {'flashgal_cfg_option'|@translate} &nbsp; </td>
 		    <td colspan="2">
-				 - <input type="checkbox" name="flashgal_transparent" {$FLASHGAL_TRANSPARENT}/>&nbsp; {'flashgal_transparent'|@translate}
-				 <br/>
 				 - <input type="checkbox" name="flashgal_fullscreen" {$FLASHGAL_FULLSCREEN}/>&nbsp; {'flashgal_fullscreen'|@translate}
-				 <br/>
+			</td>
+		<tr>
+			<td> &nbsp; </td>
+		    <td colspan="2">
 				 - {'flashgal_bgcolor'|@translate}&nbsp;  <input type="text" size="7" maxlength="7" name="flashgal_bgcolor" class="colorwell" value="{$FLASHGAL_BGCOLOR}" />
-				 <br/>
+			</td>
+		</tr>
+		<tr>
+			<td> &nbsp; </td>
+		    <td colspan="2">
 				 - <input type="checkbox" name="flashgal_recurs_cats" {$FLASHGAL_RECURS_CATS}/>&nbsp; {'flashgal_recurs_cats'|@translate}
 			</td>
-		</tr>
-		<tr>
-			<td></td>
-			<td><br><hr></td>
-			<td></td>
+		<tr><td colspan="3">&nbsp;</td></tr>
+		<tr><td colspan="3">&nbsp;</td></tr>
+        
+	</table>
+	<table>
+		<tr>
+            <td></td>
+            <td><br><hr></td>
+            <td></td>
 		</tr>
 		<tr>
@@ -232,4 +248,9 @@
 		 <td> &nbsp; </td>
 	  </tr>
+	  <tr>
+		 <td> <b>%ID</b> : <input type="text" size="1" maxlength="1" value="{$FLASHGAL_MAX_COMMENT}" name="flashgal_max_comment" /> {'img_comment_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
 	</table> 
 	
Index: /extensions/Flash_Gallery/admin/template/manage.tpl
===================================================================
--- /extensions/Flash_Gallery/admin/template/manage.tpl	(revision 3662)
+++ /extensions/Flash_Gallery/admin/template/manage.tpl	(revision 3663)
@@ -79,7 +79,7 @@
       {if $module.TYPE != 'MainBlock'}
       <ul class="categoryActions">
-		<li><img src="{$module.ON_HOME}"  title="{$module.ON_HOME_LIB}"/></li>        
-		<li><img src="{$module.ON_CATS}"   title="{$module.ON_CATS_LIB}"/></a></li>        
-        <li><img src="{$module.RECURS_CATS}"  title="{$module.RECURS_CATS_LIB}"/></a></li>        
+		<li><a href="{$module.U_HOME}" title="{$module.ON_HOME_LIB}"><img src="{$module.ON_HOME}"  title="{$module.ON_HOME_LIB}"/></a></li>        
+		<li><a href="{$module.U_CATS}" title="{$module.ON_CATS_LIB}"><img src="{$module.ON_CATS}"   title="{$module.ON_CATS_LIB}"/></a></li>        
+        <li><a href="{$module.U_RECURS}" title="{$module.RECURS_CATS_LIB}"><img src="{$module.RECURS_CATS}"  title="{$module.RECURS_CATS_LIB}"/></a></li>        
 		
 		<li><a href="{$module.U_EDIT}" title="{'flashgal_edit'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'flash_edit'|@translate}"/></a></li>
Index: /extensions/Flash_Gallery/generate-xml.php
===================================================================
--- /extensions/Flash_Gallery/generate-xml.php	(revision 3662)
+++ /extensions/Flash_Gallery/generate-xml.php	(revision 3663)
@@ -233,11 +233,9 @@
 	foreach ($pictures as $row)
 	{
-//	echo "prev=".$prev_catid;
-//	echo "catid=".$row['CATID'];
 		// Alimentation des variables pour la constitution du flux xml
 		foreach ($module_data['datas'] as $keydata => $valuedata)
 		{
 			if ($valuedata)	// == true
-				$picture[$keydata] =  parse($module['datas'][$keydata], $row);
+				$picture[$keydata] =  parse($module['datas'][$keydata], $row, $module['maxcomment']);
 			else
 				$picture[$keydata] = '';
@@ -274,6 +272,10 @@
 unset_make_full_url();
 
-function parse($data, $row)
-{
+function parse($data, $row, $nb_comment = 0)
+{
+	// Eviter de charger les commentaires (appels base) si ils ne sont pas affichés
+	if (strpos($data, '%ID') === false)
+		$nb_comment = 0;
+
 	include (FLASHGAL_PATH.'include/config_param.inc.php');
 
@@ -282,5 +284,4 @@
 	foreach ($flashgal_parse as $key => $value)
 	{
-//		echo "key=".$key."  value=".$value."\n";
 		array_push($patterns, $key); 
 		array_push($replacements, $value);
@@ -288,6 +289,43 @@
 
 	return str_replace($patterns, $replacements, $data);
-//	echo "output=".$output;
-//	return $output;
+}
+
+// Return the last comments of an image id
+function get_comment($img_id, $nb_comment = 0)
+{
+	$commentstring = '';
+
+	if ($nb_comment != 0)
+	{
+		$query = '
+		SELECT id,author,date,image_id,content
+		  FROM '.COMMENTS_TABLE.'
+		  WHERE image_id = '.$img_id.'
+			AND validated = \'true\'
+		  ORDER BY date ASC
+		  LIMIT 0,'.$nb_comment.'
+		;';
+		$result = pwg_query( $query );
+		$first = true;
+
+		while ($row = mysql_fetch_array($result))
+		{
+		
+		// Format : "Commentaire (Utilisateur - Date)"
+			$commentstring .= ($first ?  '' : " / \n")
+					.trigger_event('render_comment_content',$row['content'])
+					.' ('. trigger_event('render_comment_author',
+								empty($row['author'])
+								? l10n('guest')
+								: $row['author'])
+					.' - '
+					.format_date( $row['date'], false)
+					.")";
+					
+			$first = false;
+
+		}
+	}
+	return $commentstring;	
 }
 
Index: /extensions/Flash_Gallery/include/class.inc.php
===================================================================
--- /extensions/Flash_Gallery/include/class.inc.php	(revision 3662)
+++ /extensions/Flash_Gallery/include/class.inc.php	(revision 3663)
@@ -116,5 +116,5 @@
 	    {
 	    	$this->pos = 'end';
-	    	continue;
+	    	return;
 	    }
 
@@ -122,5 +122,5 @@
 		{
     		$authorized_groups = explode(',', $module['groups']);
-    		if (array_intersect($this->user_groups, $authorized_groups) == array()) continue;
+    		if (array_intersect($this->user_groups, $authorized_groups) == array()) return;
     	}
 
@@ -169,5 +169,5 @@
 	  $block['BGCOLOR'] = $module['bgcolor'];
 
-	  if ((include(FLASHGAL_PATH . 'modules/' . $module['type'] . '/main.inc.php')) === false) continue;
+	  if ((include(FLASHGAL_PATH . 'modules/' . $module['type'] . '/main.inc.php')) === false) return;
 	  
 	  $this->set_tpl_block($block, $module);
Index: /extensions/Flash_Gallery/include/config_param.inc.php
===================================================================
--- /extensions/Flash_Gallery/include/config_param.inc.php	(revision 3662)
+++ /extensions/Flash_Gallery/include/config_param.inc.php	(revision 3663)
@@ -45,4 +45,5 @@
 										  : '',								
 		'%IC'	=> isset($row['IMGFILE']) ? $row['IMGFILE'] : ''  ,
+		'%ID'	=> isset($row['IMGID']) ? get_comment($row['IMGID'], $nb_comment) : ''  ,
 
 		'%G1'	=> get_root_url(),
@@ -69,5 +70,6 @@
 	%IB : IMGHIGHFULL	Lien complet vers High
 	%IC : IMGFILE		nom_fichier
-
+	%ID : Commentaires
+    
 %Gx Generaux
 	%G1 : 		root path : URL du piwigo
Index: /extensions/Flash_Gallery/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Flash_Gallery/language/en_UK/plugin.lang.php	(revision 3662)
+++ /extensions/Flash_Gallery/language/en_UK/plugin.lang.php	(revision 3663)
@@ -1,147 +1,105 @@
 <?php
 
-$lang['stuffs_mods_management'] = 'Modules management';
-$lang['stuffs_add_mod'] = 'Add a module';
-$lang['stuffs_edit_mod'] = 'Edit module';
+$lang['flashgal_mods_management'] = 'Modules management';
+$lang['flashgal_add_mod'] = 'Add a module';
+$lang['flashgal_edit_mod'] = 'Edit module';
 
-$lang['stuffs_module_title'] = 'Module title';
-$lang['stuffs_desc'] = 'Description';
-$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-$lang['stuffs_type'] = 'Module type';
-$lang['stuffs_position'] = 'Position';
-$lang['stuffs_id_ligne'] = 'ID line';
-$lang['stuffs_width'] = 'Width';
-$lang['stuffs_action'] = 'Actions';
-$lang['stuffs_edit'] = 'Modify module';
-$lang['stuffs_delete'] = 'Delete module';
-$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete module %s?';
-$lang['stuffs_main_block'] = 'Main block';
+$lang['flashgal_module_title'] = 'Module title';
+$lang['flashgal_desc'] = 'Description';
+$lang['flashgal_only_for_admin'] = '(only for administration pannel)';
+$lang['flashgal_type'] = 'Module Type';
+$lang['flashgal_action'] = 'Actions';
+$lang['flashgal_edit'] = 'Modify module';
+$lang['flashgal_delete'] = 'Delete module';
+$lang['flashgal_confirm_delete'] = 'Are you sure you want to delete module %s?';
+$lang['flashgal_main_block'] = 'Main Block';
 
-$lang['stuffs_add_module'] = 'Add new module';
-$lang['stuffs_module_config'] = 'Module configuration';
-$lang['stuffs_visual_config'] = 'Display configuration';
-$lang['stuffs_module_options'] = 'Module options';
-$lang['stuffs_authorized_group'] = 'Authorized groups';
-$lang['stuffs_authorized_users'] = 'Authorized users';
-$lang['stuffs_public_module'] = '(Keep empty for public module)';
-$lang['stuffs_show_title'] = 'Show module title';
-$lang['stuffs_show_module_on'] = 'Show module :';
-$lang['stuffs_show_on_home'] = 'On main page';
-$lang['stuffs_show_on_cats'] = 'On all categories pages';
-$lang['stuffs_show_on_pictures'] = 'On picture pages';
-$lang['stuffs_no_options'] = 'No options for this module';
+$lang['flashgal_add_module'] = 'Add new module';
+$lang['flashgal_module_config'] = 'Module configuration';
+$lang['flashgal_visual_config'] = 'Display configuration';
+$lang['flashgal_module_options'] = 'Options du module';
+$lang['flashgal_authorized_group'] = 'Authorized groups';
+$lang['flashgal_authorized_users'] = 'Authorized users';
+$lang['flashgal_public_module'] = '(Keep empty for public module)';
+$lang['flashgal_show_title'] = 'Show module title';
+$lang['flashgal_show_module_on'] = 'Show module :';
+$lang['flashgal_show_on_home'] = 'On main page';
+$lang['flashgal_show_on_home_global']		= 'Global Mode (All categories)';
+$lang['flashgal_show_on_home_selective']	= 'Selective Mode (Selected categories)';
+$lang['flashgal_show_on_cats'] = 'On categories pages selected below';
 
-//Messages d'infos
-$lang['stuffs_order_saved'] = 'Order successfully saved.';
+$lang['flashgal_xml_config']	= 'Informations show on the module (in the xml feed)';
+$lang['flashgal_cfg_heigh']	=   'Height';
+$lang['flashgal_cfg_option']	= 'Module options';
+$lang['flashgal_transparent']	= 'Allow Transparent mode';
+$lang['flashgal_fullscreen']	= 'Allow Full Screen';
+$lang['flashgal_bgcolor']		= 'Background color';
+
+$lang['flashgal_recurs_cats']	= 'Recursivity on children categories';
+$lang['flashgal_cfg_replacenav']	= 'Replace piwigo display by the module';
+$lang['flashgal_replace_thumb']	= 'Replace thumbnail display';
+$lang['flashgal_replace_cats']	= 'Replace categories display';
+$lang['flashgal_cfg_cat']	= 'Show module on caterogies pages :';
+
+$lang['flashgal_xml_legend']	= 'Parameters for variables below';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Picture';
+$lang['piclens_cat_legend']		    = 'Category';
+$lang['piclens_global_legend']		= 'Global';
+$lang['img_id_legend']				= 'Picture ID';	// %I1
+$lang['img_name_legend']			= 'Picture Name';	// %I2
+$lang['img_description_legend']		= 'Picture Description'; // %I3
+$lang['img_author_legend']			= 'Picture Author';	// %I4
+$lang['img_URLThumb_legend']		= 'Thumbnail URL (URL From gallerie)'; // %I5
+$lang['img_URLNormal_legend']		= 'Piture URL (URL From gallerie)';	// %I6
+$lang['img_URLHigh_legend']			= 'HD Picture URL (URL From gallerie)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Link to picture page (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'Thumbnail URL (full URL)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'Piture URL (Full URL)';	// %IA
+$lang['img_URLHighFull_legend']		= 'HD Picture URL (Full URL)';	// %IB
+$lang['img_filename_legend']		= 'Picture file name'; // %IC
+$lang['img_comment_legend']			= 'Last comments'; // %ID
+
+$lang['root_path_legend']			= 'Pïwigo path'; // %G1
+
+$lang['cat_id_legend']				= 'Category ID'; // %C1
+$lang['cat_name_legend']			= 'Category name'; // %C2
+$lang['cat_description_legend']		= 'Category description'; // %C3
+$lang['cat_dir_legend']				= 'Path to category (path from Gallerie)'; // %C4
+$lang['cat_dirFull_legend']			= 'Path to category (Full path)'; // %C4
+// Fin legende
+
+$lang['flashgal_on_home_global_ON_label']	= 'Active on Home (All categories)';
+$lang['flashgal_on_home_ON_label']			= 'Active on Home (selected categories)';
+$lang['flashgal_on_home_OFF_label']			= 'Inactive on Home';
+$lang['flashgal_oncats_ON_label']			= 'Active on Categories';
+$lang['flashgal_oncats_OFF_label']			= 'Inactive on Categories';
+$lang['flashgal_recurs_ON_label']			= 'Recursivity active';
+$lang['flashgal_recurs_OFF_label']			= 'Recursivity inactive';
 
 
-// Messages d'erreurs
-$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any module.';
-$lang['stuffs_no_name'] = 'You must specify name module';
 
-//------------------------------------------------------------------------------
-//							Module LastComs
-//------------------------------------------------------------------------------
+$lang['img_id']				= 'Picture\'s ID';
+$lang['img_name']			= 'Picture\'s name';
+$lang['img_description']	= 'Picture\'s description';
+$lang['img_URLThumb']		= 'URL for Picture thumbnail';
+$lang['img_URLNormal']		= 'URL for Picture';
+$lang['img_URLHigh']		= 'URL for Picture High Definition';
+$lang['img_URLPicturephp']	= 'Link to picture on piwigo (picture.php)';
 
-$lang['module_name_LastComs'] = 'Last comments';
-$lang['module_desc_LastComs'] = 'Display last posted comments';
-
-$lang['lastcoms_no_nb_comments'] = 'You must specify numbers of comments.';
-$lang['lastcoms_config'] = 'Configuration';
-$lang['lastcoms_nb_comments'] = 'Number of comments to display';
-$lang['lastcoms_show_buttons'] = 'Show admin buttons';
-$lang['lastcoms_dim'] = 'Thumbnails size';
-$lang['lastcoms_width'] = 'Max width';
-$lang['lastcoms_height'] = 'Max height';
-$lang['lastcoms_nb_cadres'] = 'Numbers of frame by line';
-$lang['lastcoms_taille_cadres'] = 'Frame height';
+$lang['cat_id']				= 'Category\'s ID';
+$lang['cat_name']			= 'Category\'s name';
+$lang['cat_description']	= 'Category\'s description';
 
 
-//------------------------------------------------------------------------------
-//							Module Logon
-//------------------------------------------------------------------------------
+$lang['flashgal_restore']	= 'Default Parameters';
+$lang['flashgal_no_options'] = 'No options for this module';
+//Messages d'infos
+$lang['flashgal_order_saved'] = 'Order successfully saved.';
 
-$lang['module_name_Logon'] = 'Login';
-$lang['module_desc_Logon'] = 'Display login block';
-
-$lang['logon_remove_menubar_block'] = 'Remove "Quick connect" block from menubar';
-
-
-//------------------------------------------------------------------------------
-//							Module Personal
-//------------------------------------------------------------------------------
-
-$lang['module_name_Personal'] = 'Personnal block';
-$lang['module_desc_Personal'] = 'Display personnal block (like an edito)';
-
-$lang['personal_content'] = 'content';
-
-
-//------------------------------------------------------------------------------
-//							Module Tags
-//------------------------------------------------------------------------------
-
-$lang['module_name_Tags'] = 'Tags';
-$lang['module_desc_Tags'] = 'Display gallery tags';
-
-$lang['stuffs_tags_default_display'] = 'Tags display';
-$lang['stuffs_tags_cloud'] = 'Tags cloud';
-$lang['stuffs_tags_letters'] = 'Group by lettters';
-$lang['stuffs_tags_cumulus'] = 'Use cumulus mode (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> must be installed)';
-
-
-//------------------------------------------------------------------------------
-//							Module Piclenswall
-//------------------------------------------------------------------------------
-
-$lang['module_name_piclenswall'] = 'Piclens 3DWall';
-$lang['module_desc_piclenswall'] = 'Display piclens 3D wall (plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> must be installed)';
-
-$lang['piclenswall_height'] = 'Wall height';
-$lang['piclenswall_background_color'] = 'Background color';
-$lang['piclenswall_black'] = 'Black';
-$lang['piclenswall_white'] = 'White';
-$lang['piclenswall_info'] = 'So that the wall is working properly';
-$lang['piclenswall_info_piclens'] = 'You must install and activate <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> plugin.';
-$lang['piclenswall_info_crossdomain'] = 'You must copy <a href="%s">crossdomain.xml</a> file to the root of your site (or moddify existing file).';
-$lang['piclenswall_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
-
-//------------------------------------------------------------------------------
-//							Module Most Visited
-//------------------------------------------------------------------------------
-
-$lang['module_name_MostVisited'] = 'Most visited';
-$lang['module_desc_MostVisited'] = 'Display x most visited pictures in the gallery or a category';
-
-$lang['stuffs_mv_nb_images'] = 'Maximum number of pictures to display';
-$lang['stuffs_mv_category_display'] = 'Display on categories pages';
-$lang['stuffs_mv_all_cats'] = 'All categories';
-$lang['stuffs_mv_w_thumb'] = 'Only categories with thumbnails';
-$lang['stuffs_mv_wo_thumb'] = 'Only categories without thumbnails';
-$lang['stuffs_mv_selected_cats'] = 'Only selected categories';
-
-$lang['stuffs_mv_cat_selection'] = 'Categories selection';
-$lang['stuffs_mv_hold_ctrl'] = 'hold CTRL';
-
-//------------------------------------------------------------------------------
-//							Module Best Rated
-//------------------------------------------------------------------------------
-
-$lang['module_name_BestRated'] = 'Best rated';
-$lang['module_desc_BestRated'] = 'Display x best rated pictures in the gallery or a category';
-
-//------------------------------------------------------------------------------
-//							Module Recent
-//------------------------------------------------------------------------------
-
-$lang['module_name_Recent'] = 'Recent pictures';
-$lang['module_desc_Recent'] = 'Display x recent pictures in the gallery or a category (if exist)';
-
-//------------------------------------------------------------------------------
-//							Module Random
-//------------------------------------------------------------------------------
-
-$lang['module_name_Random'] = 'Random pictures';
-$lang['module_desc_Random'] = 'Display x random pictures in the gallery or a category';
+// Messages d'erreurs
+$lang['flashgal_error_no_mod_selected'] = 'You didn\'t select any module.';
+$lang['flashgal_no_name'] = 'You must specify name module';
 
 ?>
Index: /extensions/Flash_Gallery/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Flash_Gallery/language/fr_FR/plugin.lang.php	(revision 3662)
+++ /extensions/Flash_Gallery/language/fr_FR/plugin.lang.php	(revision 3663)
@@ -15,7 +15,4 @@
 $lang['flashgal_only_for_admin'] = '(uniquement pour le panneau d\'administration)';
 $lang['flashgal_type'] = 'Type de module';
-$lang['flashgal_position'] = 'Position';
-$lang['flashgal_id_ligne'] = 'ID ligne';
-$lang['flashgal_width'] = 'Largeur';
 $lang['flashgal_action'] = 'Actions';
 $lang['flashgal_edit'] = 'Modifier le module';
@@ -36,5 +33,5 @@
 $lang['flashgal_show_on_home_global']		= 'Mode Global (Toutes les cat&eacute;gories)';
 $lang['flashgal_show_on_home_selective']	= 'Mode Selectif (Cat&eacute;gories s&eacute;lectionn&eacute;es)';
-$lang['flashgal_show_on_cats'] = 'Sur toutes les pages des catégories';
+$lang['flashgal_show_on_cats'] = 'Sur les pages des catégories sélectionnées ci-dessous';
 
 $lang['flashgal_xml_config']	= 'Configuration des informations affich&eacute;es (dans le flux xml)';
@@ -54,27 +51,28 @@
 
 //legende
-$lang['flashgal_picture_legend']	= 'Image';
-$lang['flashgal_cat_legend']		= 'Cat&eacute;gorie';
-$lang['flashgal_global_legend']		= 'Global';
-$lang['img_id_legend']				= 'ID de l\'image';	// %I1
-$lang['img_name_legend']			= 'Nom de l\'image';	// %I2
-$lang['img_description_legend']		= 'Description de l\'image'; // %I3
-$lang['img_author_legend']			= 'Auteur de l\'image';	// %I4
-$lang['img_URLThumb_legend']		= 'URL de la miniature (path non complet)'; // %I5
-$lang['img_URLNormal_legend']		= 'URL de l\'image (path non complet)';	// %I6
-$lang['img_URLHigh_legend']			= 'URL de l\'image en haute d&eacute;finition (path non complet)';	// %I7
-$lang['img_URLPicturephp_legend']	= 'Lien vers l\'image sous PIWIGO (picture.php)';	//%I8
-$lang['img_URLThumbFull_legend']	= 'URL de la miniature (path complet)'; // %I9
-$lang['img_URLNormalFull_legend']	= 'URL de l\'image (path complet)';	// %IA
-$lang['img_URLHighFull_legend']		= 'URL de l\'image en haute d&eacute;finition (path complet)';	// %IB
-$lang['img_filename_legend']		= 'Nom du fichier image'; // %IC
+$lang['piclens_picture_legend']	    = 'Picture';
+$lang['piclens_cat_legend']		    = 'Category';
+$lang['piclens_global_legend']		= 'Global';
+$lang['img_id_legend']				= 'Picture ID';	// %I1
+$lang['img_name_legend']			= 'Picture Name';	// %I2
+$lang['img_description_legend']		= 'Picture Description'; // %I3
+$lang['img_author_legend']			= 'Picture Author';	// %I4
+$lang['img_URLThumb_legend']		= 'Thumbnail URL (URL From gallerie)'; // %I5
+$lang['img_URLNormal_legend']		= 'Piture URL (URL From gallerie)';	// %I6
+$lang['img_URLHigh_legend']			= 'HD Picture URL (URL From gallerie)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Link to picture page (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'Thumbnail URL (full URL)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'Piture URL (Full URL)';	// %IA
+$lang['img_URLHighFull_legend']		= 'HD Picture URL (Full URL)';	// %IB
+$lang['img_filename_legend']		= 'Picture file name'; // %IC
+$lang['img_comment_legend']			= 'Last comments'; // %ID
 
-$lang['root_path_legend']			= 'Path de piwigo'; // %G1
+$lang['root_path_legend']			= 'Pïwigo path'; // %G1
 
-$lang['cat_id_legend']				= 'ID de la cat&eacute;gorie'; // %C1
-$lang['cat_name_legend']			= 'Nom de la cat&eacute;gorie'; // %C2
-$lang['cat_description_legend']		= 'Description de la cat&eacute;gorie'; // %C3
-$lang['cat_dir_legend']				= 'R&eacute;pertoire de la cat&eacute;gorie (path non complet)'; // %C4
-$lang['cat_dirFull_legend']			= 'R&eacute;pertoire de la cat&eacute;gorie (path complet)'; // %C5
+$lang['cat_id_legend']				= 'Category ID'; // %C1
+$lang['cat_name_legend']			= 'Category name'; // %C2
+$lang['cat_description_legend']		= 'Category description'; // %C3
+$lang['cat_dir_legend']				= 'Path to category (path from Gallerie)'; // %C4
+$lang['cat_dirFull_legend']			= 'Path to category (Full path)'; // %C4
 // Fin legende
 
Index: /extensions/Flash_Gallery/main.inc.php
===================================================================
--- /extensions/Flash_Gallery/main.inc.php	(revision 3662)
+++ /extensions/Flash_Gallery/main.inc.php	(revision 3663)
@@ -2,10 +2,11 @@
 /*
 Plugin Name: Flash Gallery
-Version: 0.0.1
+Version: 0.0.2
 Description: Insert Flash on your gallery
-Plugin URI: 
-Author: 
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=299
+Author:  Tiico
 Author URI: 
 */
+// See CHANGELOG for release informations
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/Flash_Gallery/maintain.inc.php
===================================================================
--- /extensions/Flash_Gallery/maintain.inc.php	(revision 3662)
+++ /extensions/Flash_Gallery/maintain.inc.php	(revision 3663)
@@ -33,4 +33,5 @@
 			`fullscreen` enum(\'true\',\'false\') NOT NULL,
 			`bgcolor` varchar(7) default NULL,
+			`maxcomment` smallint(9) default 0,
 			
 			PRIMARY KEY  (`id`),
@@ -41,6 +42,6 @@
 
 	// Main Bloc insertion
-    $q = "INSERT INTO `" . $prefixeTable . "flash_gallery` (`id`, `pos`, `name`, `descr`, `type`, `datas`, `ext_datas`,`users`, `groups`, `show_title`, `on_home`, `on_home_global`, `on_cats`, `cats`, `recurs_cats`, `replace_thumb`, `replace_cats`, `height`, `transparent`, `fullscreen`, `bgcolor`) 
-VALUES (0, 1, 'MainBlock', NULL, 'MainBlock', NULL, NULL, 'guest,generic,normal,admin,webmaster', NULL, 'true', 'true', 'global', 'true', NULL, 'false', 'false', 'false', NULL, 'false', 'false', '#FFFFFF');";
+    $q = "INSERT INTO `" . $prefixeTable . "flash_gallery` (`id`, `pos`, `name`, `descr`, `type`, `datas`, `ext_datas`,`users`, `groups`, `show_title`, `on_home`, `on_home_global`, `on_cats`, `cats`, `recurs_cats`, `replace_thumb`, `replace_cats`, `height`, `transparent`, `fullscreen`, `bgcolor`, `maxcomment`) 
+VALUES (0, 1, 'MainBlock', NULL, 'MainBlock', NULL, NULL, 'guest,generic,normal,admin,webmaster', NULL, 'true', 'true', 'global', 'true', NULL, 'false', 'false', 'false', NULL, 'false', 'false', '#FFFFFF', '0');";
     pwg_query($q);
 
Index: /extensions/Flash_Gallery/modules/Carousel/admin/config.inc.php
===================================================================
--- /extensions/Flash_Gallery/modules/Carousel/admin/config.inc.php	(revision 3662)
+++ /extensions/Flash_Gallery/modules/Carousel/admin/config.inc.php	(revision 3663)
@@ -45,5 +45,6 @@
             <style>font_size: 12px; font-family: Verdana, _serif; color: #FFCC66;</style>
             <position>above right</position>           <!-- [above, below] [left,center,right]-->
- 
+
+            <background>yourimage.png</background>     <!-- image url -->
 	<scale9>14 14 14 14</scale9>			<!-- [0,1000] pixels -->
 	<padding>8 12 8 12</padding>			<!-- [-1000,1000] pixels -->
@@ -107,4 +108,14 @@
 'position2'		=> 3, //"right"
 
+'backgroundURL'	=> "",
+'scale9top'	=> "10",
+'scale9right'	=> "10",
+'scale9bottom'	=> "10", 
+'scale9left'	=> "10",
+'paddingtop'	=> "5",
+'paddingright'	=> "5",
+'paddingbottom'	=> "5", 
+'paddingleft'	=> "5",
+
 );
 
Index: /extensions/Flash_Gallery/modules/Carousel/admin/config.tpl
===================================================================
--- /extensions/Flash_Gallery/modules/Carousel/admin/config.tpl	(revision 3662)
+++ /extensions/Flash_Gallery/modules/Carousel/admin/config.tpl	(revision 3663)
@@ -214,4 +214,55 @@
 	</tr>
 
+	<tr><td colspan="3"><hr></td></tr>
+	<tr>
+		<td colspan="3"><label>{'Carousel_options_background'|@translate}</label>
+		</td>
+	</tr>
+	<tr>
+		<td>{'Carousel_backgroundURL'|@translate}</td>
+		<td colspan="2"><input type="text" size="40" maxlength="200" name="Carousel_backgroundURL" value="{$Carousel_backgroundURL}" />&nbsp;</td>
+	</tr>
+
+	<tr>
+		<td>&nbsp;</td>
+		<td align="center">{'Carousel_top'|@translate}</label></td>
+		<td align="center">{'Carousel_bottom'|@translate}</td>
+	</tr>
+	<tr>
+		<td>{'Carousel_scale9'|@translate}</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_scale9top" value="{$Carousel_scale9top}" />&nbsp;px</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_scale9bottom" value="{$Carousel_scale9bottom}" />&nbsp;px</td>
+	</tr>
+	<tr>
+		<td>&nbsp;</td>
+		<td align="center">{'Carousel_right'|@translate}</label></td>
+		<td align="center">{'Carousel_left'|@translate}</td>
+	</tr>
+	<tr>
+		<td>&nbsp;</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_scale9right" value="{$Carousel_scale9right}" />&nbsp;px</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_scale9left" value="{$Carousel_scale9left}" />&nbsp;px</td>
+	</tr>
+	
+	<tr>
+		<td>&nbsp;</td>
+		<td align="center">{'Carousel_top'|@translate}</label></td>
+		<td align="center">{'Carousel_bottom'|@translate}</td>
+	</tr>
+	<tr>
+		<td>{'Carousel_padding'|@translate}</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_paddingtop" value="{$Carousel_paddingtop}" />&nbsp;px</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_paddingbottom" value="{$Carousel_paddingbottom}" />&nbsp;px</td>
+	</tr>
+	<tr>
+		<td>&nbsp;</td>
+		<td align="center">{'Carousel_right'|@translate}</label></td>
+		<td align="center">{'Carousel_left'|@translate}</td>
+	</tr>
+	<tr>
+		<td>&nbsp;</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_paddingright" value="{$Carousel_paddingright}" />&nbsp;px</td>
+		<td align="center"><input type="text" size="6" maxlength="6" name="Carousel_paddingleft" value="{$Carousel_paddingleft}" />&nbsp;px</td>
+	</tr>
 	
 </table>
Index: /extensions/Flash_Gallery/modules/Carousel/language/fr_FR/module.lang.php
===================================================================
--- /extensions/Flash_Gallery/modules/Carousel/language/fr_FR/module.lang.php	(revision 3662)
+++ /extensions/Flash_Gallery/modules/Carousel/language/fr_FR/module.lang.php	(revision 3663)
@@ -84,4 +84,8 @@
 $lang['Carousel_position2']  = 'Horizontale';
 
+$lang['Carousel_options_background']	= '<b><i>Param&egrave;tres du fond (bulles sur les images)</i></b>';
+$lang['Carousel_backgroundURL']	= 'URL de l\'image de fond (bulles sur les images)';
+$lang['Carousel_scale9']	= 'Echelle de l\'image de fond [0,1000]';
+$lang['Carousel_padding']	= 'Contour de l\'image de fond [-1000,1000]';
 
 ?>
Index: /extensions/Flash_Gallery/modules/Carousel/xml/header.xml.php
===================================================================
--- /extensions/Flash_Gallery/modules/Carousel/xml/header.xml.php	(revision 3662)
+++ /extensions/Flash_Gallery/modules/Carousel/xml/header.xml.php	(revision 3663)
@@ -48,6 +48,18 @@
 	
             <style>font-size: '.$module['ext_datas']['font_size'].'px; font-family: '.$module['ext_datas']['font_family'].', _serif; color: '.$module['ext_datas']['font_color'].';</style>
-            <position>'.$module['ext_datas']['position1'].' '.$module['ext_datas']['position2'].'</position>           <!-- [above, below] [left,center,right]-->
-         </titles>
+            <position>'.$module['ext_datas']['position1'].' '.$module['ext_datas']['position2'].'</position>           <!-- [above, below] [left,center,right]-->'
+		.(strlen($module['ext_datas']['backgroundURL']) ?
+            '<background>'.$module['ext_datas']['backgroundURL'].'</background>     <!-- image url -->
+            <scale9>'.$module['ext_datas']['scale9top'].' '
+					.$module['ext_datas']['scale9right'].' '
+					.$module['ext_datas']['scale9bottom'].' '
+					.$module['ext_datas']['scale9left'].'</scale9>               <!-- [0,1000] pixels -->
+            <padding>'.$module['ext_datas']['paddingtop'].' '
+					.$module['ext_datas']['paddingright'].' '
+					.$module['ext_datas']['paddingbottom'].' '
+					.$module['ext_datas']['paddingleft'].'</padding>                 <!-- [-1000,1000] pixels -->'
+			: '')
+			
+         .'</titles>
     </options>
 
Index: tensions/Flash_Gallery/modules/PostCard/slides.xml
===================================================================
--- /extensions/Flash_Gallery/modules/PostCard/slides.xml	(revision 3662)
+++ 	(revision )
@@ -1,109 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" ?>
-<flash_parameters copyright="piwigo">
-    <preferences>
-        <global>
-            <basic_property path="http://127.0.0.1/piwigo" html_title="Title" loadStyle="Pie" hideAdobeMenu="false" photoDynamicShow="false" anvsoftMenu="false" enableURL="true" startAutoPlay="true" screenfullButton="true"/>
-            <music_property path="" stream="true" loop="true"/>
-            <description_property enable="false" backgroundColor="0xc0c0c0" backgroundAlpha="30" cssText="a:link{text-decoration: underline;} a:hover{color:#ff0000; text-decoration: none;} a:active{color:#0000ff;text-decoration: none;} .blue {color:#0000ff; font-size:15px; font-style:italic; text-decoration: underline;} .body{color:#ff5500;font-size:20px;}" align="bottom"/>
-            <background_property backgroundColor="0x000000" mode="tile"/>
-        </global>
-        <photo>
-
-            <basic_property path="http://127.0.0.1/piwigo" PhotoMaxWidth="650" PhotoMaxHeight="500" photoscale="4" photoBackColor="0xfffbf0" Enableoutsideborder="false" outsidebordercolor="0xc0c0c0" photoButtonColor="0xfffbf0" photoSpacing="7" photoborder="6" rowcount="3" columncount="3" EnablephotoTitle="true" photoTitleColor="0xfffbf0" Enablephotorotation="true"/>
-        </photo>
-    </preferences>
-    <album>
-<slide jpegURL="../../../../galleries/ecran/108.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/108.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/53/category/3" 
-		title="Image " 
-		width="640" 
-		height="480"/>
-<slide jpegURL="../../../../galleries/ecran/11405.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/11405.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/57/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/14332.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/14332.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/58/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/14362.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/14362.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/59/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/14596.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/14596.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/60/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/19990520_4049.wbd.jpg" 
-		d_URL="../../../../galleries/ecran/19990520_4049.wbd.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/64/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/19990728_5795.wbd.jpg" 
-		d_URL="../../../../galleries/ecran/19990728_5795.wbd.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/52/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/20430.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/20430.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/61/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/2268.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/2268.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/54/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-
-<slide jpegURL="../../../../galleries/ecran/2272.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/2272.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/55/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/24641.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/24641.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/62/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/24962.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/24962.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/63/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-<slide jpegURL="../../../../galleries/ecran/9518.wb1.jpg" 
-		d_URL="../../../../galleries/ecran/9518.wb1.jpg" 
-		transition="64" panzoom="1" URLTarget="0" phototime="2" 
-		url="http://127.0.0.1/piwigo/picture.php?/56/category/3" 
-		title="Image " 
-		width="800" 
-		height="600"/>
-</album>
-</flash_parameters>
